// creator  : weidu.exe (version 23100)
// argument : BCORAN.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~BCORAN~

IF ~InteractingWith("Safana")
RandomNum(8,1)
~ THEN BEGIN 0 // from: BSAFAN:5.0 BSAFAN:1.0
  SAY #14414 /* ~Good business to you, then.~ */
  IF ~~ THEN DO ~~ EXIT
END

IF ~InteractingWith("Safana")
RandomNum(8,2)
~ THEN BEGIN 1 // from:
  SAY #14415 /* ~It is BEYOND understanding. Very well, but remember that you asked to bear the weight of this.~ */
  IF ~~ THEN DO ~~ EXTERN ~BSAFAN~ 0
END

IF ~InteractingWith("Safana")
RandomNum(8,3)
~ THEN BEGIN 2 // from:
  SAY #14416 /* ~You have no business knowing. Tend to your flowers and leave me be.~ */
  IF ~~ THEN DO ~~ EXTERN ~BSAFAN~ 1
END

IF ~InteractingWith("Safana")
RandomNum(8,4)
~ THEN BEGIN 3 // from:
  SAY #14417 /* ~And if I have no interest in furthering that trust? No, Cernd, I keep my business to myself.~ */
  IF ~~ THEN DO ~~ EXTERN ~BSAFAN~ 2
END

IF ~InteractingWith("Safana")
RandomNum(8,5)
~ THEN BEGIN 4 // from:
  SAY #14418 /* ~Then I will tell you something of myself, and you can judge whether it promotes trust or not.~ */
  IF ~~ THEN DO ~~ EXTERN ~BSAFAN~ 4
END

IF ~InteractingWith("Safana")
RandomNum(8,6)
~ THEN BEGIN 5 // from:
  SAY #14517 /* ~Ach, leave or I'll be calling the guard on ye!~ */
  IF ~~ THEN DO ~~ EXTERN ~BSAFAN~ 1
END

IF ~InteractingWith("Safana")
RandomNum(8,7)
~ THEN BEGIN 6 // from:
  SAY #14518 /* ~Ye seem good enough, but ye're wearin' on me patience.~ */
  IF ~~ THEN DO ~~ EXTERN ~BSAFAN~ 3
END

IF ~InteractingWith("Safana")
RandomNum(8,8)
~ THEN BEGIN 7 // from:
  SAY #14519 /* ~My husband told me that several clerics have gone missing lately.  How awful!~ */
  IF ~~ THEN DO ~~ EXTERN ~BSAFAN~ 3
END

IF ~InteractingWith("Safana")
~ THEN BEGIN 8 // from:
  SAY #14520 /* ~Khellor Ahmson~ */
  IF ~~ THEN DO ~~ EXTERN ~BSAFAN~ 5
END
